%% GM voxel intensities inside the clusters
function [C P] = extractVoxelIntensitiesFromEachCluster (crystal_brain, controls, patients)

   [L num_clusters] = bwlabeln (crystal_brain);

   for s = 1:size(patients,1);
      for k=1:num_clusters;
         subj = patients(s,:,:,:);
         P (s,k).voxels = double(subj(L==k));
      end;
   end;

   for s = 1:size(controls,1); 
      for k=1:num_clusters;
         subj = controls(s,:,:,:);
         C (s,k).voxels = double(subj(L==k));
      end;
   end;

