%Align data and label
function [data label feature_no] = alignAndLabelDataForNN (controls, patients, control_label, patient_label)

   feature_no = prod(size(patients(1,:,:)));

   for i = 1:size(patients,1); 
       data  (i,:) = reshape (patients(i,:,:), 1, feature_no); 
       label (i,:) = patient_label;
   end;

   for i = (size(patients,1)+1):(size(patients,1)+size(controls,1)); 
       data  (i,:) = reshape (controls(i-size(patients,1),:,:), 1, feature_no);
       label (i,:) = control_label;
   end;

%   if (size(label,1) == 1) label = label'; end;

